Skip to main content
GET
/
project-theme-config
/
{projectId}
Get a project theme config
curl --request GET \
  --url https://api.kameleoon.com/project-theme-config/{projectId}
import requests

url = "https://api.kameleoon.com/project-theme-config/{projectId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.kameleoon.com/project-theme-config/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "projectId": 123,
  "defaultThemeId": 123,
  "id": 123,
  "themes": [
    {
      "projectIds": [
        123
      ],
      "colors": [
        {
          "id": "<string>",
          "value": "<string>"
        }
      ],
      "components": [
        "<string>"
      ],
      "creationDate": "2023-11-07T05:31:56Z",
      "customFonts": [
        {
          "fontFamily": "<string>",
          "fontSrc": "<string>",
          "fontWeights": [
            "<string>"
          ],
          "id": "<string>",
          "importSrc": "<string>"
        }
      ],
      "dateModified": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "id": 123,
      "name": "<string>",
      "selectedFonts": [
        {
          "id": "<string>"
        }
      ],
      "tags": [
        "<string>"
      ],
      "widgetIds": [
        123
      ]
    }
  ]
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}

Path Parameters

projectId
integer<int64>
required

Query Parameters

optionalFields
string[]

Response

OK

projectId
integer<int64>
required
themeUsage
enum<string>
required
Available options:
MANDATORY,
OPTIONAL
defaultThemeId
integer<int64>
id
integer<int64>
themes
Theme · object[]